| Bsoft 2.0.5 Bernard's software package

Classes | Macros | Functions
rwGOODFORD.h File Reference

Header file for reading and writing Peter Goodford's GRID files. More...

`#include "rwimg.h"`

Go to the source code of this file.

## Classes
struct | GOODFORDhead
struct | GFslice_head

## Macros
#define | GOODFORDSIZE 168
#define | GFSLICESIZE 20

## Functions
int | readGOODFORD (Bimage *p, int readdata)
| Reading Peter Goodford's GRID map image file format. A 3D image format used for electrostatic potential maps. Header size: 168 bytes (fixed). File format extensions: .pot The data is packed as slices, each slice with a header of size 20 bytes. Byte order determination: File type and third dimension values must be less than 256*256. Data types: 1 = float. More...
int | writeGOODFORD (Bimage *p)
| Writing Peter Goodford's GRID map image file format. A 3D image format used for electrostatic potential maps. More...

## Detailed Description

Header file for reading and writing Peter Goodford's GRID files.

Author
  Bernard Heymann

Date
  Created: 20000924
  Modified: 20111217

      Format: 3D electrostatic potential format for UHBD

Definition in file rwGOODFORD.h.

## Macro Definition Documentation

## ◆ GFSLICESIZE

#define GFSLICESIZE 20

Definition at line 14 of file rwGOODFORD.h.

## ◆ GOODFORDSIZE

#define GOODFORDSIZE 168

Definition at line 13 of file rwGOODFORD.h.

## Function Documentation

## ◆ readGOODFORD()

int readGOODFORD | ( | Bimage * | p,
|  | int | readdata
| ) |  |

Reading Peter Goodford's GRID map image file format. A 3D image format used for electrostatic potential maps. Header size: 168 bytes (fixed). File format extensions: .pot The data is packed as slices, each slice with a header of size 20 bytes. Byte order determination: File type and third dimension values must be less than 256*256. Data types: 1 = float.

Parameters

  *p | the image structure.
  readdata | flag to activate reading of image data.

Returns
  int error code (<0 means failure).

Definition at line 29 of file rwGOODFORD.cpp.

## ◆ writeGOODFORD()

int writeGOODFORD | ( | Bimage * | p | ) |

Writing Peter Goodford's GRID map image file format. A 3D image format used for electrostatic potential maps.

Parameters

  *p | the image structure.

Returns
  int error code (<0 means failure).

Definition at line 103 of file rwGOODFORD.cpp.